Functions
XIP LL driver functions
Peripheral Driver » LL Driver » XQSPI » Functions
Collaboration diagram for XIP LL driver functions:

## Functions
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_cmd (xqspi_regs_t *XQSPIx, uint32_t cmd)
| Set read command. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_cmd (xqspi_regs_t *XQSPIx)
| Get read command. More...
__STATIC_FORCEINLINE void | ll_xqspi_enable_xip_hp (xqspi_regs_t *XQSPIx)
| Enable high performance mode. More...
__STATIC_FORCEINLINE void | ll_xqspi_soft_rst_req (xqspi_regs_t *XQSPIx)
__STATIC_FORCEINLINE void | ll_xqspi_disable_xip_hp (xqspi_regs_t *XQSPIx)
| Disable high performance mode. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_is_enabled_xip_hp (xqspi_regs_t *XQSPIx)
| Check if high performance mode is enabled. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_ss (xqspi_regs_t *XQSPIx, uint32_t ss)
| Set slave select. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_ss (xqspi_regs_t *XQSPIx)
| Get slave select. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_cpha (xqspi_regs_t *XQSPIx, uint32_t cpha)
| Set clock phase. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_cpha (xqspi_regs_t *XQSPIx)
| Get clock phase. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_cpol (xqspi_regs_t *XQSPIx, uint32_t cpol)
| Set clock polarity. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_cpol (xqspi_regs_t *XQSPIx)
| Get clock polarity. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_addr_size (xqspi_regs_t *XQSPIx, uint32_t size)
| Set address bytes in command. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_addr_size (xqspi_regs_t *XQSPIx)
| Get address bytes in command. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_endian (xqspi_regs_t *XQSPIx, uint32_t endian)
| Set endian in reading data. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_endian (xqspi_regs_t *XQSPIx)
| Get endian in reading data. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_hp_cmd (xqspi_regs_t *XQSPIx, uint32_t cmd)
| Set high performance command. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_hp_cmd (xqspi_regs_t *XQSPIx)
| Get high performance command. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_dummycycles (xqspi_regs_t *XQSPIx, uint32_t cycles)
| Set dummy cycles in command. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_dummycycles (xqspi_regs_t *XQSPIx)
| Get dummy cycles in command. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_xip_dummy_hp (xqspi_regs_t *XQSPIx, uint32_t cycles)
| Set dummy cycles in high performance end. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_dummy_hp (xqspi_regs_t *XQSPIx)
| Get dummy cycles in high performance end. More...
__STATIC_FORCEINLINE void | ll_xqspi_enable_xip (xqspi_regs_t *XQSPIx)
| Enable XIP mode. More...
__STATIC_FORCEINLINE void | ll_xqspi_disable_xip (xqspi_regs_t *XQSPIx)
| Disable XIP mode. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_is_enabled_xip (xqspi_regs_t *XQSPIx)
| Check if XIP mode is enabled. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_xip_flag (xqspi_regs_t *XQSPIx)
| Get XIP status. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_is_enabled_xip_it (xqspi_regs_t *XQSPIx)
| Check if XIP interrupt is enabled. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_flag_xip_it (xqspi_regs_t *XQSPIx)
| Get XIP interrupt flag. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_req_xip_it (xqspi_regs_t *XQSPIx)
| Get XIP interrupt request. More...
__STATIC_FORCEINLINE void | ll_xqspi_enable_xip_it (xqspi_regs_t *XQSPIx)
| Set XIP interrupt enable. More...
__STATIC_FORCEINLINE void | ll_xqspi_disable_xip_it (xqspi_regs_t *XQSPIx)
| Set XIP interrupt disable. More...

## Detailed Description

## Function Documentation

## ◆ ll_xqspi_disable_xip()

__STATIC_FORCEINLINE void ll_xqspi_disable_xip | ( | xqspi_regs_t * | XQSPIx | ) |

Disable XIP mode.

Register | BitsName
--- | ---
CTRL3 | EN_REQ

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1193 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_xip_hp()

__STATIC_FORCEINLINE void ll_xqspi_disable_xip_hp | ( | xqspi_regs_t * | XQSPIx | ) |

Disable high performance mode.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_HPEN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 860 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_xip_it()

__STATIC_FORCEINLINE void ll_xqspi_disable_xip_it | ( | xqspi_regs_t * | XQSPIx | ) |

Set XIP interrupt disable.

Note
  This bit is write-only.

Register | BitsName
--- | ---
INTCLR | INT_CLR

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1305 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_xip()

__STATIC_FORCEINLINE void ll_xqspi_enable_xip | ( | xqspi_regs_t * | XQSPIx | ) |

Enable XIP mode.

Register | BitsName
--- | ---
CTRL3 | EN_REQ

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1178 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_xip_hp()

__STATIC_FORCEINLINE void ll_xqspi_enable_xip_hp | ( | xqspi_regs_t * | XQSPIx | ) |

Enable high performance mode.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_HPEN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 839 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_xip_it()

__STATIC_FORCEINLINE void ll_xqspi_enable_xip_it | ( | xqspi_regs_t * | XQSPIx | ) |

Set XIP interrupt enable.

Note
  This bit is write-only.

Register | BitsName
--- | ---
INTSET | INT_SET

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1289 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_flag_xip_it()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_flag_xip_it | ( | xqspi_regs_t * | XQSPIx | ) |

Get XIP interrupt flag.

Note
  This bit is read-only.

Register | BitsName
--- | ---
INTSTAT | INT_STAT

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 1

Definition at line 1257 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_req_xip_it()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_req_xip_it | ( | xqspi_regs_t * | XQSPIx | ) |

Get XIP interrupt request.

Note
  This bit is read-only.

Register | BitsName
--- | ---
INTREQ | INT_REQ

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 1

Definition at line 1273 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_addr_size()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_addr_size | ( | xqspi_regs_t * | XQSPIx | ) |

Get address bytes in command.

Register | BitsName
--- | ---
CTRL1 | CFG_ADDR4

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_XIP_ADDR_3BYTES LL_XQSPI_XIP_ADDR_4BYTES

Definition at line 1023 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_cmd()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_cmd | ( | xqspi_regs_t * | XQSPIx | ) |

Get read command.

Register | BitsName
--- | ---
CTRL0 | CFG_CMD

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_XIP_CMD_READ LL_XQSPI_XIP_CMD_FAST_READ LL_XQSPI_XIP_CMD_DUAL_OUT_READ LL_XQSPI_XIP_CMD_DUAL_IO_READ LL_XQSPI_XIP_CMD_QUAD_OUT_READ LL_XQSPI_XIP_CMD_QUAD_IO_READ

Definition at line 823 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_cpha()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_cpha | ( | xqspi_regs_t * | XQSPIx | ) |

Get clock phase.

Register | BitsName
--- | ---
CTRL1 | CFG_CPHA

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_SCPHA_1EDGE LL_XQSPI_SCPHA_2EDGE

Definition at line 951 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_cpol()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_cpol | ( | xqspi_regs_t * | XQSPIx | ) |

Get clock polarity.

Register | BitsName
--- | ---
CTRL1 | CFG_CPOL

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_SCPOL_LOW LL_XQSPI_SCPOL_HIGH

Definition at line 987 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_dummy_hp()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_dummy_hp | ( | xqspi_regs_t * | XQSPIx | ) |

Get dummy cycles in high performance end.

Register | BitsName
--- | ---
CTRL2 | CFG_ENDDUMMY

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 3.

Definition at line 1163 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_dummycycles()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_dummycycles | ( | xqspi_regs_t * | XQSPIx | ) |

Get dummy cycles in command.

Note
  - Fast Read Dual I/O: dummycycles = 4 * cycles + 4
  - Fast Read Quad I/O: dummycycles = 2 * cycles + 2
  - Fast Read Dual Out: dummycycles = 8 * cycles
  - Fast Read Quad Out: dummycycles = 8 * cycles

Register | BitsName
--- | ---
CTRL2 | CFG_DUMMYCYCLES

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 0xF.

Definition at line 1132 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_endian()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_endian | ( | xqspi_regs_t * | XQSPIx | ) |

Get endian in reading data.

Register | BitsName
--- | ---
CTRL1 | CFG_LE32

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_XIP_ENDIAN_BIG LL_XQSPI_XIP_ENDIAN_LITTLE

Definition at line 1059 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_flag()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_flag | ( | xqspi_regs_t * | XQSPIx | ) |

Get XIP status.

Note
  This bit is read-only.

Register | BitsName
--- | ---
STAT | EN_OUT

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 1

Definition at line 1225 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_hp_cmd()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_hp_cmd | ( | xqspi_regs_t * | XQSPIx | ) |

Get high performance command.

Register | BitsName
--- | ---
CTRL2 | CFG_HPMODE

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 0xFF.

Definition at line 1092 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_xip_ss()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_xip_ss | ( | xqspi_regs_t * | XQSPIx | ) |

Get slave select.

Register | BitsName
--- | ---
CTRL1 | CFG_SS

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_XIP_SS0 LL_XQSPI_XIP_SS1 LL_XQSPI_XIP_SS2 LL_XQSPI_XIP_SS3

Definition at line 915 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_xip()

__STATIC_FORCEINLINE uint32_t ll_xqspi_is_enabled_xip | ( | xqspi_regs_t * | XQSPIx | ) |

Check if XIP mode is enabled.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL3 | EN_REQ

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1209 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_xip_hp()

__STATIC_FORCEINLINE uint32_t ll_xqspi_is_enabled_xip_hp | ( | xqspi_regs_t * | XQSPIx | ) |

Check if high performance mode is enabled.

Register | BitsName
--- | ---
CTRL1 | CFG_HPEN

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 875 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_xip_it()

__STATIC_FORCEINLINE uint32_t ll_xqspi_is_enabled_xip_it | ( | xqspi_regs_t * | XQSPIx | ) |

Check if XIP interrupt is enabled.

Note
  This bit is read-only.

Register | BitsName
--- | ---
INTEN | INT_EN

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 1

Definition at line 1241 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_addr_size()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_addr_size | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | size
| ) |  |

Set address bytes in command.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_ADDR4

Parameters

  XQSPIx | XQSPI instance
  size | This parameter can be one or more of the following values: LL_XQSPI_XIP_ADDR_3BYTES LL_XQSPI_XIP_ADDR_4BYTES

Return values

  None |

Definition at line 1006 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_cmd()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_cmd | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cmd
| ) |  |

Set read command.

Note
  These bits should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | CFG_CMD

Parameters

  XQSPIx | XQSPI instance
  cmd | This parameter can be one of the following values: LL_XQSPI_XIP_CMD_READ LL_XQSPI_XIP_CMD_FAST_READ LL_XQSPI_XIP_CMD_DUAL_OUT_READ LL_XQSPI_XIP_CMD_DUAL_IO_READ LL_XQSPI_XIP_CMD_QUAD_OUT_READ LL_XQSPI_XIP_CMD_QUAD_IO_READ

Return values

  None |

Definition at line 802 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_cpha()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_cpha | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cpha
| ) |  |

Set clock phase.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_CPHA

Parameters

  XQSPIx | XQSPI instance
  cpha | This parameter can be one or more of the following values: LL_XQSPI_SCPHA_1EDGE LL_XQSPI_SCPHA_2EDGE

Return values

  None |

Definition at line 934 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_cpol()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_cpol | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cpol
| ) |  |

Set clock polarity.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_CPOL

Parameters

  XQSPIx | XQSPI instance
  cpol | This parameter can be one or more of the following values: LL_XQSPI_SCPOL_LOW LL_XQSPI_SCPOL_HIGH

Return values

  None |

Definition at line 970 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_dummy_hp()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_dummy_hp | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cycles
| ) |  |

Set dummy cycles in high performance end.

Note
  These bits should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL2 | CFG_ENDDUMMY

Parameters

  XQSPIx | XQSPI instance
  cycles | This parameter can between: 0 ~ 3.

Return values

  None |

Definition at line 1148 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_dummycycles()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_dummycycles | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cycles
| ) |  |

Set dummy cycles in command.

Note
  These bits should not be changed when XIP is ongoing.
  - Fast Read Dual I/O: dummycycles = 4 * cycles + 4
  - Fast Read Quad I/O: dummycycles = 2 * cycles + 2
  - Fast Read Dual Out: dummycycles = 8 * cycles
  - Fast Read Quad Out: dummycycles = 8 * cycles

Register | BitsName
--- | ---
CTRL2 | CFG_DUMMYCYCLES

Parameters

  XQSPIx | XQSPI instance
  cycles | This parameter can between: 0 ~ 0xF.

Return values

  None |

Definition at line 1113 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_endian()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_endian | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | endian
| ) |  |

Set endian in reading data.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_LE32

Parameters

  XQSPIx | XQSPI instance
  endian | This parameter can be one or more of the following values: LL_XQSPI_XIP_ENDIAN_BIG LL_XQSPI_XIP_ENDIAN_LITTLE

Return values

  None |

Definition at line 1042 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_hp_cmd()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_hp_cmd | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cmd
| ) |  |

Set high performance command.

Note
  These bits should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL2 | CFG_HPMODE

Parameters

  XQSPIx | XQSPI instance
  cmd | This value is specified by different QSPI FLASH memory vendor to enter into its status register to activate HP mode in dual I/O and Quad I/O access. This parameter can between: 0 ~ 0xFF.

Return values

  None |

Definition at line 1077 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_xip_ss()

__STATIC_FORCEINLINE void ll_xqspi_set_xip_ss | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | ss
| ) |  |

Set slave select.

Note
  These bits should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | CFG_SS

Parameters

  XQSPIx | XQSPI instance
  ss | This parameter can be one or more of the following values: LL_XQSPI_XIP_SS0 LL_XQSPI_XIP_SS1 LL_XQSPI_XIP_SS2 LL_XQSPI_XIP_SS3

Return values

  None |

Definition at line 896 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_soft_rst_req()

__STATIC_FORCEINLINE void ll_xqspi_soft_rst_req | ( | xqspi_regs_t * | XQSPIx | ) |

Definition at line 844 of file gr55xx_ll_xqspi.h.